## qtbase-opensource-src 5.9.5+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.9.5+dfsg-0ubuntu1) bionic; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Refresh patches.
    - Update symbols from build logs.
  * Bump independent build dependencies.
  * Bump the virtual ABI package from qtbase-abi-5-9-4 to qtbase-abi-5-9-5.
  * Fix loading OpenGL library when libGL.so is missing (LP: #1761708).
    - fix-loading-OpenGL-when-symlink-missing.patch
    - QTBUG-67537

  [ Dmitry Shachnev ]
  * Update list of Qt WebKit build-dependencies in debian/README.source.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 12 Apr 2018 18:24:40 -0500

qtbase-opensource-src (5.9.4+dfsg-0ubuntu4) bionic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - New upstream release (5.9.4), drop upstream patches and update symbols
      from build logs.
    - Depend on libssl-dev instead of libssl1.0-dev. Also backport an upstream
      patch enabling OpenSSL 1.1 support.
    - Add arm64 to the architectures that GLES is enabled on.
    - Backport some libinput and mesa 18 patches from upstream.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 15 Mar 2018 23:37:26 -0500

qtbase-opensource-src (5.9.2+dfsg-12) unstable; urgency=medium

  * Add patch to extend MariaDB define checks. It seems that this codes makes
    akonadi not fail on long time running sessions. Thanks Luigi Toscano for
    the pointer.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Feb 2018 15:36:32 -0300

qtbase-opensource-src (5.9.2+dfsg-11) unstable; urgency=medium

  * Add Martin Briza's hidpi_scale_at_192.diff to solve wrong HiDPI scalling
   (Closes: #884956). Thanks Fedora guys!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Feb 2018 12:11:28 -0300

qtbase-opensource-src (5.9.4+dfsg-0ubuntu3) bionic; urgency=medium

  [ Simon Quigley ]
  * Merge from Debian Sid, remaining changes:
    - New upstream release (5.9.4), drop upstream patches.
    - Build with bundled pcre2 library.
    - Build depend on libssl-dev instead of libssl1.0-dev.
    - Depend on libssl1.1 instead of libssl1.0.2.
    - Add arm64 to the architectures that GLES is enabled on.
  * Correctly update the symbols files for the ABI bump.
  * Backport upstream patches to fix several libinput issues. Thanks to Ikey
    Doherty from Solus for the tip.

  [ Dmitry Shachnev ]
  * Add upstream patch to fix rendering issues with Mesa 18.
  * Add upstream patch to add NewMenu D-Bus signal for dbustray.
    Thanks to Marco Trevisan.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 24 Feb 2018 22:58:18 -0600

qtbase-opensource-src (5.9.4+dfsg-0ubuntu2) bionic; urgency=medium

  * Update the copyright file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 15 Feb 2018 21:45:59 -0600

qtbase-opensource-src (5.9.2+dfsg-10) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix processing multiple headers with the same name in HTTP/2 (closes:
    #886395).
  * Update symbols files from hurd-i386 build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Feb 2018 16:40:07 +0300

qtbase-opensource-src (5.9.2+dfsg-9) unstable; urgency=medium

  * Check the existance of /etc/xdg/QtProject before trying to remove it
    (Closes: #889504).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 03 Feb 2018 22:12:49 -0300

qtbase-opensource-src (5.9.2+dfsg-8) unstable; urgency=medium

  * qmake-cross-wrapper: Add special handling of -makefile and -project flags.
  * Remove empty /etc/xdg/QtProject directory on upgrades (closes: #887806).
  * Update symbols files from ia64 and the current amd64 build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Feb 2018 19:55:47 +0300

qtbase-opensource-src (5.9.4+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Refresh patches, and delete reverse-applicable ones:
    - qdnslookup_crash.diff
  * Bump the virtual ABI package to 5.9.4 to make sure the proper
    packages are rebuilt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 28 Jan 2018 18:41:51 -0600

qtbase-opensource-src (5.9.3+dfsg-0ubuntu4) bionic; urgency=medium

  * Build with openssl1.1 using patch from fedora.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 10 Feb 2018 21:06:55 +0000

qtbase-opensource-src (5.9.3+dfsg-0ubuntu3) bionic; urgency=medium

  * Drop build dependency on libpcre2-dev (universe), configure
    without -system-pcre.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Feb 2018 11:22:27 +0100

qtbase-opensource-src (5.9.3+dfsg-0ubuntu2) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - New upstream release (5.9.3), drop upstream patches.
    - Depend on libssl1.0.0 instead of libssl1.0.2.
    - Add arm64 to the architectures that GLES is enabled on.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Jan 2018 10:02:49 +0300

qtbase-opensource-src (5.9.3+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Refresh patches, and delete reverse-applicable ones:
    - postgresql_10.diff
    - qglxconvenience_nullptr.diff

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 30 Nov 2017 16:51:16 -0600

qtbase-opensource-src (5.9.2+dfsg-7) unstable; urgency=medium

  * Remove qtlogging.ini file, the underlying issue has been fixed, and
    it causes too many problems (closes: #886437, LP: #1744260).
  * Backport upstream patch to add missing dead key symbols (closes: #799824).
  * Make ${DEB_HOST_GNU_TYPE}-qmake script set QMAKE_QMAKE to itself.
    This is needed for properly building configuration tests.
  * Pass toolchain-related variable assignments as early flags to qmake.
    Switch to default mode after passing them.
  * Support <triplet>-qmake -query something (closes: #886542). Thanks to
    Helmut Grohne.
  * Mark qtbase5-examples and qt5-default packages as Multi-Arch: same.
  * Bump Standards-Version to 4.1.3, no changes needed.


