## qtbase-opensource-src 5.11.1+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.11.1+dfsg-7ubuntu3.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: double-free or corruption via illegal XML document
    - debian/patches/CVE-2018-15518.patch: fix possible heap corruption in
      QXmlStream in src/corelib/serialization/qxmlstream_p.h.
    - CVE-2018-15518
  * SECURITY UPDATE: NULL pointer dereference in QGifHandler
    - debian/patches/CVE-2018-19870.patch: check for QImage allocation
      failure in src/plugins/imageformats/gif/qgifhandler.cpp.
    - CVE-2018-19870
  * SECURITY UPDATE: buffer overflow in QBmpHandler
    - debian/patches/CVE-2018-19873.patch: check for out of range image
      size in src/gui/image/qbmphandler.cpp.
    - CVE-2018-19873

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Mar 2019 10:54:57 -0400

qtbase-opensource-src (5.11.1+dfsg-7ubuntu3) cosmic; urgency=medium

  * Backport upstream commit to fix duplex printing (LP: #1776173).
    Thanks to Robert Bredereck for the initial patch!

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 28 Feb 2019 13:26:39 +0300

qtbase-opensource-src (5.11.1+dfsg-7ubuntu2) cosmic; urgency=medium

  * Add a patch to pass default include directories to qdoc (LP: #1799111).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 02 Nov 2018 14:41:35 +0300

qtbase-opensource-src (5.11.1+dfsg-7ubuntu1) cosmic; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Add arm64 to the architectures that GLES is enabled on.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 25 Aug 2018 12:59:22 -0500

qtbase-opensource-src (5.11.1+dfsg-7) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build depend upon libharfbuzz >= 1.6.0~ as required by the code
    (Closes: #905660). Thanks Andreas Ferber for the bug report.

  [ Simon Quigley ]
  * Fix the build with glibc 2.28.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 25 Aug 2018 12:32:18 -0500

qtbase-opensource-src (5.11.1+dfsg-6) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:30 -0500

qtbase-opensource-src (5.11.1+dfsg-5ubuntu1) cosmic; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Add arm64 to the architectures that GLES is enabled on.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Jul 2018 23:39:32 -0500

qtbase-opensource-src (5.11.1+dfsg-5) experimental; urgency=medium

  [ Rohan Garg ]
  * Update watch url to a better path.

  [ Simon Quigley ]
  * Add patch fixing selection rendering issues if rounding leads to left-out
    pixels.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Jul 2018 23:33:59 -0500

qtbase-opensource-src (5.11.1+dfsg-4) experimental; urgency=medium

  * Add fix_regresion_in_QPointF_operator_equals.patch to fix wrong check in
    QPointF (Closes: #903237).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Jul 2018 10:19:04 -0300

qtbase-opensource-src (5.11.1+dfsg-3) experimental; urgency=medium

  * Bump Standards-version to 4.1.5, no changes needed.
  * Revert an upstream commit which causes KMainWindow to save an invalid
    window/widget state. This is per advice from upstream KDE and other
    distributors who have done the same, but patches are being sent upstream
    fixing the issue.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Jul 2018 14:48:31 -0500

qtbase-opensource-src (5.11.1+dfsg-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Fix version of qttools5-dev-tools build-dependency.

  [ Simon Quigley ]
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Bump the virtual ABI package to qtbase-abi-5-11-0 because symbols
    were retracted.
  * Update symbols from buildd logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 20 Jun 2018 14:14:42 -0500

qtbase-opensource-src (5.11.1+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Change references to alioth/git.debian.org to salsa.debian.org.

  [ Dmitry Shachnev ]
  * Configure with triplet-prefixed version of pkg-config (closes: #899382).

  [ Simon Quigley ]
  * New upstream release.
  * Bump build dependencies to 5.11.1.
  * Add new file to debian/qtbase5-dev.install.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 14:29:27 -0500

qtbase-opensource-src (5.11.0+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * debian/copyright: Update for changed/removed files in 5.11.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Build-Depends-Indep's Qt dependencies.

  [ Simon Quigley ]
  * Update symbols from buildd logs.
  * New upstream release.
  * Bump build dependencies to 5.11.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 18:19:48 -0500

qtbase-opensource-src (5.11.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches for the new upstream release, and remove
    reverse-applicable ones:
    - dead_key_symbols.diff
    - extend_mariadb_define_check.diff
    - fix_loading_opengl.diff
    - mesa_18.diff
    - resources_for_examples.diff
  * Update install files for new upstream files.
    - Add new binary package qt5-flatpak-platformtheme.
  * Bump debhelper compat to 11, no changes needed.
  * Add my name to the copyright for the Debian packaging.
  * Update copyright using debian/scripts/update-copyright.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 15 May 2018 23:08:16 -0500

qtbase-opensource-src (5.10.1+dfsg-7) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Remove gdb from Build-Depends (closes: #897940).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 20 May 2018 18:57:15 -0300

qtbase-opensource-src (5.10.1+dfsg-6) unstable; urgency=medium

  [ Simon Quigley ]
  * Add my name to Uploaders.

  [ Dmitry Shachnev ]

