=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 10.3),
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 11),
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.17.14),
                firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
-               gdb,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
                libcups2-dev,
@@ -28,7 +28,7 @@
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
-               libharfbuzz-dev,
+               libharfbuzz-dev (>= 1.6.0~),
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
@@ -64,17 +64,17 @@
                publicsuffix,
                unixodbc-dev,
                zlib1g-dev
-Build-Depends-Indep: qttools5-dev-tools (>= 5.9.5~) <!nodoc>
-Standards-Version: 4.1.3
+Build-Depends-Indep: qttools5-dev-tools (>= 5.11.1~) <!nodoc>
+Standards-Version: 4.1.5
 Homepage: http://qt-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtbase.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtbase.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
 
 Package: libqt5core5a
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-9-5
+Provides: qtbase-abi-5-11-0
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -113,6 +113,18 @@
  .
  This package provides the GTK+ 3 platform theme, which makes Qt use
  native icon themes, fonts, and dialogs on GTK-based environments.
+
+Package: qt5-flatpak-platformtheme
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libqt5gui5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Flatpak platform theme
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package provides the Flatpak platform theme, which makes Qt use
+ native file dialogs on Flatpak-based environments.
 
 Package: libqt5network5
 Architecture: any
@@ -319,17 +331,3 @@
          qtchooser,
          ${misc:Depends}
 Recommends: libqt5opengl5-dev (= ${binary:Version})
-Suggests: default-libmysqlclient-dev,
-          firebird-dev,
-          libegl1-mesa-dev,
-          libgl1-mesa-dev,
-          libpq-dev,
-          libsqlite3-dev,
-          unixodbc-dev
-Description: Qt 5 base development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the header development files used for building Qt 5
- applications.
- .
