## qtbase-opensource-src 5.11.3%2Bdfsg1

=== debian/changelog ===
qtbase-opensource-src (5.11.3+dfsg1-1+rpi1+deb10u5) buster-staging; urgency=medium

  [changes introduced in 5.6.1+dfsg-2+rpi1] by Peter Michael Green]
  * Partially fix clean target.

  [changes introduced in 5.9.1+dfsg-9+rpi1 by Peter Michael Green]
  * Disable neon (-no-neon no longer seems to work, so edit configure.json instead)

 -- Raspbian forward porter <root@raspbian.org>  Sun, 11 Sep 2022 20:26:38 +0000

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u5) buster; urgency=medium

  * Backport two upstream commits to fix setTabOrder for compound widgets
    (closes: #1001082).
  * Backport upstream patch to add an expansion limit for XML entities
    (CVE-2015-9541, closes: #951066).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Mar 2022 10:12:03 +0300

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u4) buster; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix buffer overflow in XBM parser
    (CVE-2020-17507, closes: #968444).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport XCB_Fix_clipboard_breaking_when_timer_wraps_after_50_days.patch
    (Closes: #961293). Thanks Nicolás for pointing us to the bug fix.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 14 Sep 2020 09:15:20 -0300

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u3) buster-security; urgency=high

  [ Dmitry Shachnev ]
  * Backport fixes for two vulnerabilities:
    - CVE-2020-0569: Do not load plugin from the CWD.
    - CVE-2020-0570: Qt tries to load invalid library from CWD.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 30 Jan 2020 10:42:01 -0300

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u2) buster; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to add support for non-PPD printers and avoid
    silent fallback to a printer supporting PPD (closes: #911702, #911844).
  * Backport upstream patch to fix crash in QStyleSheetStyle::repolish()
    when using QLabels with rich text (closes: #935909).

  [ Melvin Vermeeren ]
  * Backport upstream patch to fix graphics tablet hover events (closes:
    #935627).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Nov 2019 20:34:59 +0300

qtbase-opensource-src (5.11.3+dfsg1-1+deb10u1) buster-security; urgency=high

  * Fix crash when text contains too many directional chars (CVE-2019-18281).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 30 Oct 2019 14:47:19 +0300

qtbase-opensource-src (5.11.3+dfsg1-1) unstable; urgency=medium

  * Repack the tarball and strip some files and directories with copyright
    issues (closes: #924599).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Mar 2019 10:20:39 +0300

qtbase-opensource-src (5.11.3+dfsg-5) unstable; urgency=medium

  * Revert part of the mkspecs movements between packages. The private ones
    were put into qtbase5-private-dev, but it seems that they are not ready
    for that (Closes: #921930).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 10 Feb 2019 11:47:21 -0300

qtbase-opensource-src (5.11.3+dfsg-4) unstable; urgency=medium

  * Revert the GLES-related symbols changes from the previous upload.
    These changes were only for experimental and not yet for unstable.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport mysql_free_results_when_qsqlquery_finished_is_called.patch,
    required by akonadi (closes: #921584).

  [ Dmitry Shachnev ]
  * Fix installed files list on hurd and kfreebsd (closes: #920236).
    Thanks to Samuel Thibault!
  * Move qt_lib_opengl.pri from qtbase5-dev to libqt5opengl5-dev.
  * Backport upstream commit to fix duplex printing (LP: #1776173).
    Thanks to Robert Bredereck for the initial patch!
  * Add missing features.h include to hurd-g++ mkspec (closes: #920613).
    Thanks to Samuel Thibault for the patch!
  * Update symbols files from ia64 build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Feb 2019 17:11:47 +0300

qtbase-opensource-src (5.11.3+dfsg-3) experimental; urgency=medium

  [ Kai Pastor ]
  * debian/scripts/update-copyright:
    - Update licenses_map for Qt 5.12.
    - Don’t output filenames unless --verbose flag is given.
    - Add license information to printed filenames.
    - Rewrite canonicalize_author_name(), add more author rules.
    - Factor out read_input().

  [ Dmitry Shachnev ]
  * debian/scripts/update-copyright:
    - Use regular expressions for parsing license and copyright lines.
  * Regenerate debian/copyright.
  * Update libqt5gui5.symbols to add an alternative dependency on
    libqt5gui5-gles for symbols that are present in both libraries.
  * Expand debian/qt5-qmake.install to allow us to split that package,
    and to track upstream file additions and deletions.
  * Move /usr/lib/${DEB_HOST_MULTIARCH}/qt5/mkspecs/modules/qt_lib_*.pri
    files from qt5-qmake to qtbase5-dev and qtbase5-private-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Jan 2019 12:13:49 +0300

qtbase-opensource-src (5.11.3+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Note that the previous upload fixes:
    - CVE-2018-15518: “double free or corruption” in QXmlStreamReader
    - CVE-2018-19873: QBmpHandler segfault on malformed BMP file
    - CVE-2018-19870: Check for QImage allocation failure in qgifhandler

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Dmitry Shachnev ]
  * Use $(MAKE) instead of make in debian/rules for parallelization.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:06:23 -0300

qtbase-opensource-src (5.11.3+dfsg-1) experimental; urgency=medium

  * Revert the switch of arm64 to OpenGL ES as a result of
    <https://lists.debian.org/debian-devel/2018/11/msg00457.html>
  * New upstream release.
    - Bump Qt build dependencies.
    - Bump qtbase-abi to 5-11-3.
  * Fix typo in previous changelog entry.

