=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,18 @@
 
 # Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
+
+# Use already defined upstream version as DEB_VERSION_UPSTREAM.
+include /usr/share/dpkg/pkg-info.mk
 
 export PATH := $(PATH):$(shell pwd)/bin
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config
 
 # Upstream changelog
-upstream_changes := dist/changes-$(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-' | sed -e 's/+dfsg//' | sed -e 's/+git.*//')
+upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')
 
 ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
 	extra_configure_opts += -plugin-sql-ibase
@@ -25,7 +29,7 @@
 	extra_configure_opts += -no-pch
 endif
 
-gles2_architectures := armel armhf arm64
+gles2_architectures := armel armhf
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
 	extra_configure_opts += -opengl es2
 else
@@ -34,6 +38,11 @@
 
 ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
 	extra_configure_opts += -no-eglfs
+endif
+
+# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
+ifeq ($(DEB_HOST_ARCH),ia64)
+	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
 endif
 
 # Compile without sse2 support on i386
@@ -93,6 +102,7 @@
 	            -system-libpng \
 	            -system-libjpeg \
 	            -system-doubleconversion \
+	            -system-pcre \
 	            -openssl \
 	            -no-rpath \
 	            -verbose \
@@ -113,11 +123,6 @@
 	            QMAKE_CFLAGS="$(CFLAGS)" \
 	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
 	            QMAKE_LFLAGS="$(LDFLAGS)"
-	# qtConfOutput_qmakeArgs sets the flags inside a !host_build {...}
-	# block, but we want them to be set for tools using host_build too.
-	sed -i "s/\!host_build {/true {/" mkspecs/qmodule.pri
-	# Prevent Makefile from re-running qmake after the .pri was changed.
-	touch Makefile
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
@@ -189,13 +194,16 @@
 	# more leftovers
 	rm -f .device.vars .qmake.vars
 
+	# yet more crap
+	rm -rf doc/q*
+
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
 override_dh_auto_build-arch:
 	# Bootstrap corelibs in order to be able to build the helper tools to
 	# regenerate some upstream-provided files.
-	cd $(CURDIR)/src; ../bin/qmake; make sub-corelib
+	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
 	# Add here the code to generate the helpers and then the headers.
 	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
 	# Rebuild only the object file that used the generated header.
@@ -211,17 +219,21 @@
 	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 
 	# corelib needs make clean first to be able to rebuild.
-	cd $(CURDIR)/src/corelib; make clean ; ../../bin/qmake -config sse2; make
+	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
 	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 
 	# gui on turn doesn't needs it, and actually fails if done.
-	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; make
+	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
 	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 endif
 
 	# Fix wrong path in pkgconfig files
 	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
 		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
+
+	# Use multiarched directory for host_bins variable (see #909575)
+	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
 
 	# Configuration file for qt5-default package
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
@@ -238,7 +250,3 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
-	# A user of Qt built by a distro doesn't need to find where the plugins
-	# are via CMake, so don't install them.
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5*/Q*Plugin.cmake
-
